FreeMat

- Main Page
- Related Pages

vtkImplicitPlaneWidget2

Section: Visualization Toolkit Widget Classes

# Usage

This 3D widget defines an infinite plane that can be interactively placed in a scene. The widget is assumed to consist of four parts: 1) a plane contained in a 2) bounding box, with a 3) plane normal, which is rooted at a 4) point on the plane. (The representation paired with this widget determines the actual geometry of the widget.)

To use this widget, you generally pair it with a vtkImplicitPlaneRepresentation (or a subclass). Variuos options are available for controlling how the representation appears, and how the widget functions.

To create an instance of class vtkImplicitPlaneWidget2, simply invoke its constructor as follows

      obj = vtkImplicitPlaneWidget2

# Methods

The class vtkImplicitPlaneWidget2 has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImplicitPlaneWidget2 class.

- `string = obj.GetClassName ()` - Standard vtkObject methods
- `int = obj.IsA (string name)` - Standard vtkObject methods
- `vtkImplicitPlaneWidget2 = obj.NewInstance ()` - Standard vtkObject methods
- `vtkImplicitPlaneWidget2 = obj.SafeDownCast (vtkObject o)` - Standard vtkObject methods
- `obj.SetRepresentation (vtkImplicitPlaneRepresentation r)` - Create the default widget representation if one is not set.
- `obj.CreateDefaultRepresentation ()` - Create the default widget representation if one is not set.